#!/bin/bash

set -e

while (ps auxw | grep -q "[b]ootchart")
do
  echo "Waiting for bootchart to finish"
  sleep 10
done

export DIR=/var/lib/bootspeed-results

rm -rf $DIR
mkdir $DIR
LOGFILES="dmesg syslog Xorg.0.log"
for FILE in $LOGFILES
do
  cp /var/log/$FILE $DIR
  chmod +r $DIR/$FILE
done
cp $(ls /var/log/bootchart/*.tgz | sort -Vr | head -1) $DIR/bootchart.tgz

