#!/bin/bash

while (fuser /var/lib/dpkg/lock >/dev/null 2>&1)
do
  echo "Waiting for dpkg lock to become available"
  sleep 10
done

apt-get update
apt-get -y --force-yes install bootchart dpkg-dev python-netifaces
sed -i 's/^GRUB_CMDLINE_LINUX_DEFAULT=.*/GRUB_CMDLINE_LINUX_DEFAULT="initcall_debug quiet printk.time=1"/' /etc/default/grub
update-grub
